%define base_name	kwin-style
%define theme_name	powder
%define name		%{base_name}-%{theme_name}
%define version		0.6
%define release		%mkrel 2
%define summary		Powder kwinstyle for KDE

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPL
Group:			Graphical desktop/KDE
Source:			29935-%{theme_name}-%{version}.tar.bz2
URL:			http://kde-look.org/content/show.php?content=29935
BuildRequires:		kdebase-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot


%description

The content frame is part of the windec. 
The borders are larger than the usually so thin and unreachable borders 
--Usability!-- but they don't look so.

Please note the styled menu button. 
The usual icon never reacts like 
the other buttons so I replaced it. 
(This is optional.)

%prep

rm -rf %buildroot
%setup -q -n %{theme_name}-%{version}


%build
export QTLIB=%{_libdir}/qt3/%{_lib}
%configure                              \
%ifarch amd64
        --enable-libsuffix=64           \
%endif
        --disable-rpath

%make

%install
%makeinstall_std



%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README ChangeLog
%_libdir/kde3/kwin3_%{theme_name}*
%_libdir/kde3/kwin_%{theme_name}_config.*
%_datadir/apps/kwin/%{theme_name}.desktop
%_datadir/apps/kdisplay/color-schemes/Powder.Ashes.kcsrc
%_datadir/apps/kdisplay/color-schemes/Powder.BrownSugar.kcsrc
%_datadir/apps/kdisplay/color-schemes/Powder.Copper.kcsrc
%_datadir/apps/kdisplay/color-schemes/Powder.GreenLemon.kcsrc
%_datadir/apps/kdisplay/color-schemes/Powder.Lotus.kcsrc
%_datadir/apps/kdisplay/color-schemes/Powder.Sky.kcsrc
%_datadir/apps/kdisplay/color-schemes/Powder.Snow.kcsrc



%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.6-2mdv2008.1
+ Revision: 136535
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Thu May 11 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6-2mdk
- Remove redundant BuildRequires

* Sat Dec 17 2005 Sebastien Savarin <plouf@mandriva.org> 0.6-1mdk 
-Initial mandriva Linux release

